{{- if .Values.clusterConfig.cilium.enabled }}
apiVersion: cilium.io/v2
kind: CiliumNetworkPolicy
metadata:
  name: allow-s3-traffic
  namespace: ingress-nginx
spec:
  egress:
    - toCIDR:
        - 10.139.2.10/32
    - toCIDR:
        - 10.139.2.11/32
    - toCIDR:
        - 10.139.2.20/32
    - toCIDR:
        - 10.139.2.21/32
  endpointSelector:
    matchLabels:
      app.kubernetes.io/component: controller
      app.kubernetes.io/instance: ingress-nginx
{{- end }}
